
Figure - Bug #118046
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT3】【桌面】控制中心开启/关闭自动亮度调节开关后，进入设置-显示中看开关状态与控制中心
状态不一致
2023-05-18 16:35 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-18

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-18

Test Type: Release Test Root cause: 开关状态监听在页面失去焦点时已经解注册。

Description

【测试步骤】

1.设置-显示-自动调节亮度开/关，下拉进入控制中心，控制中心自动调节亮度开关状态与设置中一致

2.在控制中心设置自动亮度调节开关，进入设置中查看自动亮度调节开关与控制中心状态一致

3.反复操作步骤1和2

【预期结果】

控制中心与设置中的状态一致

【测试结果】

控制中心与设置中的状态不一致

History

#1 - 2023-05-18 16:46 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW-廖涛

#2 - 2023-05-18 19:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201116 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix auto brightness switch sync problem.TC-RID: 1201-0201806IssueID: TS-R-BUG-118046Change-Id:

I98c8e5888b383160a7032c67883754db7408fe7a

#3 - 2023-05-18 19:20 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-18
- Root cause set to 开关状态监听在页面失去焦点时已经解注册。

■ Current conclusion

已处理，代码已入库。

■ My analysis

开关状态监听在页面失去焦点时已经解注册。调整开关状态的监听位置，让页面存在时都可以生效。

■ Next action

测试验证。

#4 - 2023-05-19 18:43 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305190056

#5 - 2023-05-19 18:43 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
